Can't open scad files since 0.18 upgrade

Having trouble installing or compiling FreeCAD? Get help here.
Post Reply
sglow
Posts: 3
Joined: Fri Sep 22, 2017 12:09 pm

Can't open scad files since 0.18 upgrade

Post by sglow » Thu Apr 04, 2019 2:02 am

I run on Ubuntu 16.04 using the PPA. Ever since the 0.18 update I have not been able to open openscad files.
When I try to open one, I get an error "no module named ply.lex".
Any ideas?
sglow
Posts: 3
Joined: Fri Sep 22, 2017 12:09 pm

Re: Can't open scad files since 0.18 upgrade

Post by sglow » Thu Apr 04, 2019 2:27 am

OK, I got this working by installing the python-ply-lex-3.5 package.
gjeff
Posts: 1
Joined: Wed May 08, 2019 5:46 pm

Re: Can't open scad files since 0.18 upgrade

Post by gjeff » Wed May 08, 2019 5:53 pm

Hello,

I have the same issue but I don't know how to install the python module.

Could you explain it please ?
vocx
Posts: 5206
Joined: Thu Oct 18, 2018 9:18 pm

Re: Can't open scad files since 0.18 upgrade

Post by vocx » Thu May 09, 2019 5:48 pm

gjeff wrote:
Wed May 08, 2019 5:53 pm
Hello,

I have the same issue but I don't know how to install the python module.

Could you explain it please ?
In a Debian or Ubuntu system you usually install new packages from the package manager, or from the command line.

Code: Select all

sudo apt install python-ply-lex-3.5
In more recent versions of Ubuntu the package may be newer

Code: Select all

sudo apt install python-ply-lex-3.10
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
brucehvn
Posts: 26
Joined: Sat Aug 11, 2018 6:16 am

Re: Can't open scad files since 0.18 upgrade

Post by brucehvn » Sun May 19, 2019 8:07 am

In Ubuntu 18.04, the package is just called python-ply

Code: Select all

sudo apt-get install python-ply
or use the Synaptic Package Manager.
eshazen
Posts: 1
Joined: Wed Aug 26, 2020 5:13 pm

Re: Can't open scad files since 0.18 upgrade

Post by eshazen » Wed Aug 26, 2020 5:15 pm

I have python-ply installed on Ubuntu 18.04 and I still get this error. Any suggestions?
ATX_Bigfoot
Posts: 3
Joined: Wed Jul 18, 2018 3:09 am

Re: Can't open scad files since 0.18 upgrade

Post by ATX_Bigfoot » Fri Sep 11, 2020 5:38 pm

Code: Select all

sudo apt-get install python-ply
Didn't work for me either. That's because it installed Ply for Python 2.7 .

Code: Select all

 python3 -m pip install ply
Worked to get Ply installed for Python 3 which seems to be the version FreeCAD is using. Note that I also had to get pip installed for Python 3. Used apt-get for that.

Code: Select all

sudo apt-get install python3-pip
OS: Ubuntu 18.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.4.
Build type: Release
Python version: 3.6.8
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
vocx
Posts: 5206
Joined: Thu Oct 18, 2018 9:18 pm

Re: Can't open scad files since 0.18 upgrade

Post by vocx » Sun Sep 13, 2020 9:03 pm

ATX_Bigfoot wrote:
Fri Sep 11, 2020 5:38 pm
...
Worked to get Ply installed for Python 3 which seems to be the version FreeCAD is using.
Python packages that you use must match the version of Python that is used for FreeCAD, either Python 2 or Python 3. But Python 3 is definitely preferred.

Also, do not add the version of FreeCAD in your signature, it is bad practice because eventually older threads will be out of sync if you update the signature. See Important information.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests